﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Input;
using HandyControl.Controls;
using HandyControl.Tools;
using DyuClient.ViewModel.Main;
using DyuClient.ViewPages.Main;
using DyuClient.ViewPages.TabPages;

namespace DyuClient;
/// <summary>
/// Interaction logic for MainWindow.xaml
/// </summary>
public partial class MainWindow
{
    public MainWindow()
    {
        InitializeComponent();
    }

    protected override void OnContentRendered(EventArgs e)
    {
        base.OnContentRendered(e);

        // 创建MainWindowContent对象并赋值给ControlMain.Content
        MainWindowContent mainWindowContent = new MainWindowContent();
        ControlMain.Content = mainWindowContent;

        // 将创建好的MainWindowContent对象赋值给Demo2.CurrentMainWindowContent
        Demo2.CurrentMainWindowContent = mainWindowContent;

        GlobalShortcut.Init(new List<KeyBinding>
        {

        });

        WindowAttach.SetIgnoreAltF4(this, true);

    }
}