﻿using System.Text.Json.Serialization;

// 根对象类
public class HttpPost
{
    [JsonPropertyName("args")]
    public Args Args { get; set; }

    [JsonPropertyName("headers")]
    public Headers Headers { get; set; }

    [JsonPropertyName("origin")]
    public string Origin { get; set; }

    [JsonPropertyName("url")]
    public string Url { get; set; }
}

public class Args
{
}

// "headers"对象类
public class Headers
{
    [JsonPropertyName("Accept")]
    public string Accept { get; set; }

    [JsonPropertyName("Host")]
    public string Host { get; set; }

    [JsonPropertyName("Priority")]
    public string Priority { get; set; }

    [JsonPropertyName("Sec-Ch-Ua")]
    public string SecChUa { get; set; }

    [JsonPropertyName("Sec-Fetch-Dest")]
    public string SecFetchDest { get; set; }

    [JsonPropertyName("Sec-Fetch-Mode")]
    public string SecFetchMode { get; set; }

    [JsonPropertyName("User-Agent")]
    public string UserAgent { get; set; }

    [JsonPropertyName("X-Amzn-Trace-Id")]
    public string XAmznTraceId { get; set; }
}