﻿using HelixToolkit.Wpf;
using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using System.Windows.Media.Media3D;

namespace DyuClient.ViewModel.TabPages {
    public class Demo1Model: BaseModel {

       

        public ICommand SelectModelCommand { get; }
        public ICommand ExportModelCommand { get; }

        public Demo1Model() {
            SelectModelCommand = new RelayCommand(SelectModel);
            //ExportModelCommand = new RelayCommand(RotateModel);
        }

        public void SelectModel() {
            var openFileDialog = new OpenFileDialog {
                Filter = "3D Model Files|*.obj;*.3ds;*.stl;*.ply;*.dae"
            };
            String ModelPath = string.Empty;
            if (openFileDialog.ShowDialog() == true) {
                ModelPath = openFileDialog.FileName;
            } else {
                return;
            }

            ModelImporter importer = new ModelImporter();

            Model3DGroup group1 = new Model3DGroup();

            var model1 = new ModelVisual3D();

            var mg1 = importer.Load(ModelPath);
            model1.Content = mg1;

            //helixViewport.Children.Add(model1);

        }
        

       
       
    }

    
}
