﻿using DyuClient.Server.Helper;
using HandyControl.Controls;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;

namespace DyuClient.ViewModel.TabPages {
    public class Demo2Model: BaseModel {

        string _dataBase;
        string _dataBasePort;
        string _dataBaseHost;
        string _dataBaseUser;
        string _dataBasePassword;
        public string DataBase { get { return _dataBase;  } set { _dataBase = value; OnPropertyChanged("DataBase");  } }
        public string DataBasePort { get { return _dataBasePort; } set { _dataBasePort = value; OnPropertyChanged("DataBasePort"); } }
        public string DataBaseHost { get { return _dataBaseHost; } set { _dataBaseHost = value; OnPropertyChanged(); } }
        public string DataBaseUser { get { return _dataBaseUser; } set { _dataBaseUser = value; OnPropertyChanged(); } }
        public string DataBasePassword { get { return _dataBasePassword; } set { _dataBasePassword = value; OnPropertyChanged(); } }


        MySqlHelper sqlHelper;

       

        public ICommand TestConnectCommand { get; }

        public Demo2Model() {
            DataBaseHost = "8.140.163.86";
            DataBasePort = "3306";
            DataBaseUser = "root";
            DataBasePassword = "Xbin121314";
            DataBase = "qiongbee";
            TestConnectCommand = new RelayCommand(TestConnect);
        }

        public void TestConnect() {
            sqlHelper = new MySqlHelper(DataBaseUser, DataBasePassword, DataBaseHost, DataBasePort, DataBase);
            bool isConnect = sqlHelper.TestConnection();
            if (isConnect)
                Growl.Success("数据库连接成功");
            else
                Growl.Error("数据库连接失败");


        }
    }
}
